Skip to content
Skip to main content
GET
/v3/scheduling/availability

Get availability

Gets available time slots within the given time range, using the rules defined in the specified Configuration object. If the Configuration type is group, Nylas returns only valid group events within the time range, including recurring events.

Nylas validates the provided session ID and uses it to retrieve the related Configuration object. If you created a public Configuration, you don't need to include the Authorization request header with a session ID, but you do need to pass the Configuration object ID as a query parameter.

SCHEDULER SESSION TOKEN

Parameters

Query parameters

start_time*string

The time from which to check availability, in seconds using the Unix timestamp format.

end_time*string

The time until which to check availability, in seconds using the Unix timestamp format.

configuration_idstring

The ID of the Configuration object used for calculating availability. If you're using session authentication (requires_session_auth: true), the configuration_id isn't required.

slugstring

The Configuration object slug. You can use this with the client_id instead of using the configuration_id. If you're using session authentication (requires_session_auth: true) or using the configuration_id, slug isn't required.

client_idstring

The client ID that was used to create the Configuration object. Required only if you're using slug.

booking_idstring

The ID of the booking to reschedule, if you're checking availability to reschedule a round-robin booking. Required only if availability_method is max-fairness or max-availability. See Retrieve booking IDs for more information.

Responses

request_idstring

The request ID.

dataobject

The response to a successful request to get availability for a participant.

GEThttps://api.us.nylas.com/v3/scheduling/availability

Paste the authorization token required for this endpoint.

start_timerequiredstring

The time from which to check availability, in seconds using the Unix timestamp format.

end_timerequiredstring

The time until which to check availability, in seconds using the Unix timestamp format.